> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pawapay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Resend deposit callback

Resends the callback for a deposit to your configured callback URL. The deposit must have reached a final state.

<Info>Please ensure your implementation of callback handling follows the guidelines in [Handling callbacks](/implementation#handling-callbacks).</Info>


## OpenAPI

````yaml openapi_v1 post /deposits/resend-callback
openapi: 3.0.0
info:
  title: pawaPay Merchant API v1
  description: Please find complete documentation from https://docs.pawapay.io/.
  version: v1
  x-logo:
    url: >-
      https://global-uploads.webflow.com/62824591015aa314fd308df1/6411b26596e3de3f52551c00_Logopawapay-p-500.png
    href: https://docs.pawapay.io/
    altText: pawaPay logo
servers:
  - url: https://api.sandbox.pawapay.io
    description: pawaPay Merchant API sandbox
  - url: https://api.pawapay.io
    description: pawaPay Merchant API production
security:
  - bearerAuth: []
tags:
  - name: payouts
    x-displayName: Payouts
  - name: deposits
    x-displayName: Deposits
  - name: refunds
    x-displayName: Refunds
  - name: payment-page
    x-displayName: Payment Page
  - name: toolkit
    x-displayName: Toolkit
  - name: wallet-balances
    x-displayName: Wallet balances
paths:
  /deposits/resend-callback:
    post:
      tags:
        - deposits
      summary: Resend deposit callback
      operationId: depositsResendCallback
      requestBody:
        $ref: '#/components/requestBodies/DepositIdRequest'
      responses:
        '200':
          description: Request has been accepted for processing by pawaPay
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DepositResendCallbackResponse'
              examples:
                ACCEPTED:
                  value:
                    depositId: f4401bd2-1568-4140-bf2d-eb77d2b2b639
                    status: ACCEPTED
                REJECTED:
                  value:
                    depositId: f4401bd2-1568-4140-bf2d-eb77d2b2b639
                    status: REJECTED
                    rejectionReason: >-
                      Deposit with ID \#f4401bd2-1568-4140-bf2d-eb77d2b2b639 not
                      found
                FAILED:
                  value:
                    depositId: f4401bd2-1568-4140-bf2d-eb77d2b2b639
                    status: FAILED
        '400':
          description: >-
            Request was rejected due to incompatibility with pawaPay API
            specification
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Mandatory Field Missing:
                  value:
                    errorId: 4f0d5e13-7e88-4cc6-827c-8c0640dc2cd3
                    errorCode: 1
                    errorMessage: 'Invalid input: Missing required property ''depositId'''
        '401':
          description: Authentication Failure. Please check your authentication token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Authentication Failure:
                  value:
                    errorId: cad1529e-040b-4c9d-a21d-2ba3056ff750
                    errorCode: 2
                    errorMessage: Authentication error
        '403':
          description: Authorization Failure. Please check your authentication token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Authorization Failure:
                  value:
                    errorId: daa495f0-541d-4192-b636-a8877b25a510
                    errorCode: 3
                    errorMessage: Authorization error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                System Error:
                  value:
                    errorId: d428a89e-fa8b-42b8-ba20-68be20d50af1
                    errorCode: 0
                    errorMessage: Internal error
components:
  requestBodies:
    DepositIdRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DepositIdRequest'
  schemas:
    DepositResendCallbackResponse:
      required:
        - depositId
        - status
      type: object
      properties:
        depositId:
          minLength: 36
          maxLength: 36
          type: string
          format: uuid
          description: >-
            A UUIDv4 based ID specified by you, that uniquely identifies the
            deposit.
          example: f4401bd2-1568-4140-bf2d-eb77d2b2b639
        status:
          $ref: '#/components/schemas/ManualCommandStatus'
        rejectionReason:
          type: string
          description: Human-readable explanation why request has been rejected
          example: Deposit with ID \#f4401bd2-1568-4140-bf2d-eb77d2b2b639 not found
    ErrorResponse:
      required:
        - errorId
        - errorCode
        - errorMessage
      type: object
      properties:
        errorId:
          maxLength: 36
          type: string
          description: A unique error ID in the pawaPay platform.
          example: 63743264-7292-11ea-bc55-0242ac130003
        errorCode:
          type: integer
          description: pawaPay internal error code.
          example: 1
        errorMessage:
          type: string
          description: Error message.
          example: Internal error
    DepositIdRequest:
      required:
        - depositId
      type: object
      properties:
        depositId:
          minLength: 36
          maxLength: 36
          type: string
          format: uuid
          description: >-
            A UUIDv4 based ID previously specified by you, that uniquely
            identifies the deposit.
          example: f4401bd2-1568-4140-bf2d-eb77d2b2b639
    ManualCommandStatus:
      type: string
      description: >
        Possible initiation statuses: 

        * `ACCEPTED` - The manual action request has been accepted by pawaPay
        for processing. 

        * `REJECTED` - The manual action request has been rejected by pawaPay.
        See rejectionReason for details. 

        * `FAILED` - The manual action request has failed during submitting for
        processing due to internal reasons.
      enum:
        - ACCEPTED
        - REJECTED
        - FAILED
  securitySchemes:
    bearerAuth:
      type: http
      description: See [Authentication](/using_the_api#authentication).
      scheme: bearer
      bearerFormat: JWT

````